Skip to main content

Content Delivery v2

Base URL: https://{hubName}.cdn.content.amplience.net

OpenAPI Spec: content-delivery.json. Import into Postman, Insomnia, or any OpenAPI-compatible tool, or use directly with AI coding tools for accurate completions.

Endpoints
Link copied!

MethodEndpointSummary
GET/content/id/{id}Get a content item by id
GET/content/key/{key}Get a content item by delivery key
POST/content/fetchGet multiple content items by id and/or key
POST/content/filterFilter content items
GET/healthHealth check

Introduction
Link copied!

The Content Delivery v2 API is used to retrieve content items and slots from Dynamic Content in JSON format. The API is optimized for speed, and for flexibility, allowing you to retrieve content by id as well as key, and choose the format of the response. These features make it easier for you to deliver your content to websites, apps, ecommerce systems, voice driven devices and many other types of applications.

The main features of Content Delivery v2 are:

  • Retrieve content by id or delivery key. Keys are arbitrary strings of up to 150 characters that can be associated with slots and content items. A delivery key can be used instead of the content id to retrieve content.

  • Specify the format of the response. You can retrieve content in a bandwidth optimised linked data format or inlined in a content tree. For linked content, such as a carousel or grid that contains links to other content, you have three options for the depth of content to be retrieved. You can choose to retrieve the root item, all linked items or you can set the depth to between 0 and 22, to retrieve a partial dependency tree.

  • List, sort and filter content. You can list content by content type schema, specify a sort order and filter by one or more user defined properties and values.

You can find more information about Content Delivery v2 and examples in the Content Delivery v2 overview.

Delivery keys
Link copied!

A delivery key can be a simple string or a path such as "home-page/feature-banner". This makes it simpler to write your integration code and allows users more control over where items of content are delivered. You can add a delivery key to a content item or slot in the Dynamic Content app or using the Dynamic Content Management API.

Note that a delivery key may not start or end with "/" and must be between 1 and 150 characters. Delivery keys can contain the following alphanumeric characters: a to z, A to Z and 0 to 9. You can also include "-" and "_" and "/" as long as it is not included at the start or end of the key.

Notes
Link copied!

  • Content Delivery v2 must be provisioned on your hub before you can use the API.
  • Content published from hubs that have Content Delivery v2 enabled will be accessible from both the Legacy Content Delivery API and the Content Delivery v2 API.
  • The current version of the Dynamic Content Salesforce Commerce Cloud integration does not use Content Delivery v2 and so cannot make use of features such as delivery keys.

Get a content item by id
Link copied!

GET /content/id/{id}

Retrieves a Content Item by its id

Parameters

NameInTypeRequiredDescription
HostheaderstringThe hostname containing the hub name
Example: anya-finn.cdn.content.amplience.net
idpathstringcontent item UUID
depthquerystringOne of:
string
root (default) retrieves the root content item only
all retrieves the full dependency tree
integer
The depth of the dependency tree to retrieve. A value between 0 and 22, with 0 being the root.
formatquerystringOne of:
linked (default) delivered with a lookup array for bandwidth optimisation.
inlined delivered with content-link replacement (will not conform to the content type).
localequerystringA comma separated list of ISO supported language and region codes

Responses

StatusDescription
200Gives the Content Item body, and the bodies of any linked content items if depth is all
400Bad request
404Not found
500Internal error
524Request timeout
Response example (200): Returned content. No parameters.
{
"content": {
"_meta": {
"name": "Hats carousel",
"schema": "https://example.com/carousel",
"deliveryId": "bd89c2ed-0ed5-4304-8c89-c0710af500e2"
},
"slides": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "7823de65-2e67-450c-a5db-d8c9b616801b"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "28c75b57-2c66-4b24-9059-ddc2b05a44d4"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "f2f989b5-4a06-4a9b-9fb0-36ea3b3cae78"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "efe831c2-c5b9-4cde-9c08-0f946968ab47"
}
]
}
}
Response example (200): Returned content. depth=all
{
"content": {
"_meta": {
"name": "Hats carousel",
"schema": "https://example.com/carousel",
"deliveryId": "bd89c2ed-0ed5-4304-8c89-c0710af500e2"
},
"slides": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "7823de65-2e67-450c-a5db-d8c9b616801b"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "28c75b57-2c66-4b24-9059-ddc2b05a44d4"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "f2f989b5-4a06-4a9b-9fb0-36ea3b3cae78"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "efe831c2-c5b9-4cde-9c08-0f946968ab47"
}
]
},
"linkedContent": [
{
"_meta": {
"name": "Coat with hood slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "f2f989b5-4a06-4a9b-9fb0-36ea3b3cae78"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "860cf3a9-3dba-41d4-8e72-8dd2cff79dca"
}
],
"headline": "The best of both worlds.",
"subheading": "Great coats to keep you warm."
},
{
"_meta": {
"name": "Coat with hood image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "860cf3a9-3dba-41d4-8e72-8dd2cff79dca"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "eb23a73c-e720-44c6-b3e3-61d61413f847",
"name": "winter-coat-darkblue",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in a coat with hood and scarf."
},
{
"_meta": {
"name": "Red beret image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "bc5fe8d2-3ed3-4363-8223-3ccd5be0ac7d"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "da6f21ac-bf97-4757-8247-a283e5a760ec",
"name": "woman-with-red-beret-winter",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in coat wearing a red beret"
},
{
"_meta": {
"name": "Black hat slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "7823de65-2e67-450c-a5db-d8c9b616801b"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "4219a628-2a8b-4d5b-81d9-2cd1ca348609"
}
],
"headline": "The most stylish hats.",
"subheading": "From our signature collection."
},
{
"_meta": {
"name": "Black hat image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "4219a628-2a8b-4d5b-81d9-2cd1ca348609"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "c06f9960-6636-4e97-b42d-c7c5aa799a83",
"name": "pexels-photo-211997",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in a patterned top wearing a black hat"
},
{
"_meta": {
"name": "White hat image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "3627a6f4-afbf-4fd9-8882-644a15e95a0c"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "a7fce272-710c-4ca5-bb48-fc6689ba5e84",
"name": "woman-white-hat-winter",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in a black coat with a white bobble hat."
},
{
"_meta": {
"name": "Red beret slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "efe831c2-c5b9-4cde-9c08-0f946968ab47"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "bc5fe8d2-3ed3-4363-8223-3ccd5be0ac7d"
}
],
"headline": "Stay warm. Stay stylish.",
"subheading": "Our latest styles."
},
{
"_meta": {
"name": "White hat slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "28c75b57-2c66-4b24-9059-ddc2b05a44d4"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "3627a6f4-afbf-4fd9-8882-644a15e95a0c"
}
],
"headline": "We've got you covered this winter.",
"subheading": "Warm hats for cold days."
}
]
}
Response example (200): Returned content. depth=all, format=inlined
{
"content": {
"_meta": {
"name": "Hats carousel",
"schema": "https://example.com/carousel",
"deliveryId": "bd89c2ed-0ed5-4304-8c89-c0710af500e2"
},
"slides": [
{
"_meta": {
"name": "Black hat slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "7823de65-2e67-450c-a5db-d8c9b616801b"
},
"imageItem": [
{
"_meta": {
"name": "Black hat image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "4219a628-2a8b-4d5b-81d9-2cd1ca348609"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "c06f9960-6636-4e97-b42d-c7c5aa799a83",
"name": "pexels-photo-211997",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in a patterned top wearing a black hat"
}
],
"headline": "The most stylish hats.",
"subheading": "From our signature collection."
},
{
"_meta": {
"name": "White hat slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "28c75b57-2c66-4b24-9059-ddc2b05a44d4"
},
"imageItem": [
{
"_meta": {
"name": "White hat image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "3627a6f4-afbf-4fd9-8882-644a15e95a0c"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "a7fce272-710c-4ca5-bb48-fc6689ba5e84",
"name": "woman-white-hat-winter",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in a black coat with a white bobble hat."
}
],
"headline": "We've got you covered this winter.",
"subheading": "Warm hats for cold days."
},
{
"_meta": {
"name": "Coat with hood slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "f2f989b5-4a06-4a9b-9fb0-36ea3b3cae78"
},
"imageItem": [
{
"_meta": {
"name": "Coat with hood image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "860cf3a9-3dba-41d4-8e72-8dd2cff79dca"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "eb23a73c-e720-44c6-b3e3-61d61413f847",
"name": "winter-coat-darkblue",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in a coat with hood and scarf."
}
],
"headline": "The best of both worlds.",
"subheading": "Great coats to keep you warm."
},
{
"_meta": {
"name": "Red beret slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "efe831c2-c5b9-4cde-9c08-0f946968ab47"
},
"imageItem": [
{
"_meta": {
"name": "Red beret image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "bc5fe8d2-3ed3-4363-8223-3ccd5be0ac7d"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "da6f21ac-bf97-4757-8247-a283e5a760ec",
"name": "woman-with-red-beret-winter",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in coat wearing a red beret"
}
],
"headline": "Stay warm. Stay stylish.",
"subheading": "Our latest styles."
}
]
}
}
Response example (200): Returned content. depth=1, format=inlined
{
"content": {
"_meta": {
"name": "Hats carousel",
"schema": "https://example.com/carousel",
"deliveryId": "bd89c2ed-0ed5-4304-8c89-c0710af500e2"
},
"slides": [
{
"_meta": {
"name": "Black hat slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "7823de65-2e67-450c-a5db-d8c9b616801b"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "4219a628-2a8b-4d5b-81d9-2cd1ca348609"
}
],
"headline": "The most stylish hats.",
"subheading": "From our signature collection."
},
{
"_meta": {
"name": "White hat slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "28c75b57-2c66-4b24-9059-ddc2b05a44d4"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "3627a6f4-afbf-4fd9-8882-644a15e95a0c"
}
],
"headline": "We've got you covered this winter.",
"subheading": "Warm hats for cold days."
},
{
"_meta": {
"name": "Coat with hood slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "f2f989b5-4a06-4a9b-9fb0-36ea3b3cae78"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "860cf3a9-3dba-41d4-8e72-8dd2cff79dca"
}
],
"headline": "The best of both worlds.",
"subheading": "Great coats to keep you warm."
},
{
"_meta": {
"name": "Red beret slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "efe831c2-c5b9-4cde-9c08-0f946968ab47"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "bc5fe8d2-3ed3-4363-8223-3ccd5be0ac7d"
}
],
"headline": "Stay warm. Stay stylish.",
"subheading": "Our latest styles."
}
]
}
}
Response example (404): Root content item could not be found
{
"error": {
"type": "CONTENT_NOT_FOUND",
"message": "Not found",
"data": {
"deliveryId": "46249275-a941-4f99-9f59-ce90c3dc96e2"
}
}
}
Response example (404): One or more linked content items could not be found
{
"error": {
"type": "LINKED_CONTENT_NOT_FOUND",
"message": "Linked content not found",
"data": {
"deliveryId": "46249275-a941-4f99-9f59-ce90c3dc96e2"
}
}
}

Get a content item by delivery key
Link copied!

GET /content/key/{key}

Retrieves a Content Item by its delivery key

Parameters

NameInTypeRequiredDescription
HostheaderstringThe hostname containing the hub name
Example: anya-finn.cdn.content.amplience.net
depthquerystringOne of:
string
root (default) retrieves the root content item only
all retrieves the full dependency tree
integer
The depth of the dependency tree to retrieve. A value between 0 and 22, with 0 being the root.
formatquerystringOne of:
linked (default) delivered with a lookup array for bandwidth optimisation.
inlined delivered with content-link replacement (will not conform to the content type).
localequerystringA comma separated list of ISO supported language and region codes

Responses

StatusDescription
200Gives the Content Item body, and the bodies of any linked content items if depth is all
400Bad request
404Not found
500Internal error
524Request timeout
Response example (200): Returned content. No parameters.
{
"content": {
"_meta": {
"name": "Hats carousel",
"schema": "https://example.com/carousel",
"deliveryId": "bd89c2ed-0ed5-4304-8c89-c0710af500e2"
},
"slides": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "7823de65-2e67-450c-a5db-d8c9b616801b"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "28c75b57-2c66-4b24-9059-ddc2b05a44d4"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "f2f989b5-4a06-4a9b-9fb0-36ea3b3cae78"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "efe831c2-c5b9-4cde-9c08-0f946968ab47"
}
]
}
}
Response example (200): Returned content. depth=all
{
"content": {
"_meta": {
"name": "Hats carousel",
"schema": "https://example.com/carousel",
"deliveryId": "bd89c2ed-0ed5-4304-8c89-c0710af500e2"
},
"slides": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "7823de65-2e67-450c-a5db-d8c9b616801b"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "28c75b57-2c66-4b24-9059-ddc2b05a44d4"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "f2f989b5-4a06-4a9b-9fb0-36ea3b3cae78"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://example.com/carousel-slide",
"id": "efe831c2-c5b9-4cde-9c08-0f946968ab47"
}
]
},
"linkedContent": [
{
"_meta": {
"name": "Coat with hood slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "f2f989b5-4a06-4a9b-9fb0-36ea3b3cae78"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "860cf3a9-3dba-41d4-8e72-8dd2cff79dca"
}
],
"headline": "The best of both worlds.",
"subheading": "Great coats to keep you warm."
},
{
"_meta": {
"name": "Coat with hood image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "860cf3a9-3dba-41d4-8e72-8dd2cff79dca"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "eb23a73c-e720-44c6-b3e3-61d61413f847",
"name": "winter-coat-darkblue",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in a coat with hood and scarf."
},
{
"_meta": {
"name": "Red beret image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "bc5fe8d2-3ed3-4363-8223-3ccd5be0ac7d"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "da6f21ac-bf97-4757-8247-a283e5a760ec",
"name": "woman-with-red-beret-winter",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in coat wearing a red beret"
},
{
"_meta": {
"name": "Black hat slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "7823de65-2e67-450c-a5db-d8c9b616801b"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "4219a628-2a8b-4d5b-81d9-2cd1ca348609"
}
],
"headline": "The most stylish hats.",
"subheading": "From our signature collection."
},
{
"_meta": {
"name": "Black hat image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "4219a628-2a8b-4d5b-81d9-2cd1ca348609"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "c06f9960-6636-4e97-b42d-c7c5aa799a83",
"name": "pexels-photo-211997",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in a patterned top wearing a black hat"
},
{
"_meta": {
"name": "White hat image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "3627a6f4-afbf-4fd9-8882-644a15e95a0c"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "a7fce272-710c-4ca5-bb48-fc6689ba5e84",
"name": "woman-white-hat-winter",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in a black coat with a white bobble hat."
},
{
"_meta": {
"name": "Red beret slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "efe831c2-c5b9-4cde-9c08-0f946968ab47"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "bc5fe8d2-3ed3-4363-8223-3ccd5be0ac7d"
}
],
"headline": "Stay warm. Stay stylish.",
"subheading": "Our latest styles."
},
{
"_meta": {
"name": "White hat slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "28c75b57-2c66-4b24-9059-ddc2b05a44d4"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "3627a6f4-afbf-4fd9-8882-644a15e95a0c"
}
],
"headline": "We've got you covered this winter.",
"subheading": "Warm hats for cold days."
}
]
}
Response example (200): Returned content. depth=all, format=inlined
{
"content": {
"_meta": {
"name": "Hats carousel",
"schema": "https://example.com/carousel",
"deliveryId": "bd89c2ed-0ed5-4304-8c89-c0710af500e2"
},
"slides": [
{
"_meta": {
"name": "Black hat slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "7823de65-2e67-450c-a5db-d8c9b616801b"
},
"imageItem": [
{
"_meta": {
"name": "Black hat image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "4219a628-2a8b-4d5b-81d9-2cd1ca348609"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "c06f9960-6636-4e97-b42d-c7c5aa799a83",
"name": "pexels-photo-211997",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in a patterned top wearing a black hat"
}
],
"headline": "The most stylish hats.",
"subheading": "From our signature collection."
},
{
"_meta": {
"name": "White hat slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "28c75b57-2c66-4b24-9059-ddc2b05a44d4"
},
"imageItem": [
{
"_meta": {
"name": "White hat image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "3627a6f4-afbf-4fd9-8882-644a15e95a0c"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "a7fce272-710c-4ca5-bb48-fc6689ba5e84",
"name": "woman-white-hat-winter",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in a black coat with a white bobble hat."
}
],
"headline": "We've got you covered this winter.",
"subheading": "Warm hats for cold days."
},
{
"_meta": {
"name": "Coat with hood slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "f2f989b5-4a06-4a9b-9fb0-36ea3b3cae78"
},
"imageItem": [
{
"_meta": {
"name": "Coat with hood image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "860cf3a9-3dba-41d4-8e72-8dd2cff79dca"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "eb23a73c-e720-44c6-b3e3-61d61413f847",
"name": "winter-coat-darkblue",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in a coat with hood and scarf."
}
],
"headline": "The best of both worlds.",
"subheading": "Great coats to keep you warm."
},
{
"_meta": {
"name": "Red beret slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "efe831c2-c5b9-4cde-9c08-0f946968ab47"
},
"imageItem": [
{
"_meta": {
"name": "Red beret image",
"schema": "https://schema-examples.com/example-image",
"deliveryId": "bc5fe8d2-3ed3-4363-8223-3ccd5be0ac7d"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "da6f21ac-bf97-4757-8247-a283e5a760ec",
"name": "woman-with-red-beret-winter",
"endpoint": "ampproduct",
"defaultHost": "cdn.media.amplience.net"
},
"altText": "Woman in coat wearing a red beret"
}
],
"headline": "Stay warm. Stay stylish.",
"subheading": "Our latest styles."
}
]
}
}
Response example (200): Returned content. depth=1, format=inlined
{
"content": {
"_meta": {
"name": "Hats carousel",
"schema": "https://example.com/carousel",
"deliveryId": "bd89c2ed-0ed5-4304-8c89-c0710af500e2"
},
"slides": [
{
"_meta": {
"name": "Black hat slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "7823de65-2e67-450c-a5db-d8c9b616801b"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "4219a628-2a8b-4d5b-81d9-2cd1ca348609"
}
],
"headline": "The most stylish hats.",
"subheading": "From our signature collection."
},
{
"_meta": {
"name": "White hat slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "28c75b57-2c66-4b24-9059-ddc2b05a44d4"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "3627a6f4-afbf-4fd9-8882-644a15e95a0c"
}
],
"headline": "We've got you covered this winter.",
"subheading": "Warm hats for cold days."
},
{
"_meta": {
"name": "Coat with hood slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "f2f989b5-4a06-4a9b-9fb0-36ea3b3cae78"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "860cf3a9-3dba-41d4-8e72-8dd2cff79dca"
}
],
"headline": "The best of both worlds.",
"subheading": "Great coats to keep you warm."
},
{
"_meta": {
"name": "Red beret slide",
"schema": "https://example.com/carousel-slide",
"deliveryId": "efe831c2-c5b9-4cde-9c08-0f946968ab47"
},
"imageItem": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "https://schema-examples.com/example-image",
"id": "bc5fe8d2-3ed3-4363-8223-3ccd5be0ac7d"
}
],
"headline": "Stay warm. Stay stylish.",
"subheading": "Our latest styles."
}
]
}
}
Response example (404): Root content item could not be found
{
"error": {
"type": "CONTENT_NOT_FOUND",
"message": "Not found",
"data": {
"deliveryKey": "outdoors/winter-sale"
}
}
}
Response example (404): One or more linked content items could not be found
{
"error": {
"type": "LINKED_CONTENT_NOT_FOUND",
"message": "Linked content not found",
"data": {
"deliveryKey": "outdoors/winter-sale"
}
}
}

Get multiple content items by id and/or key
Link copied!

POST /content/fetch

Retrieves multiple content item by their id or delivery key

Parameters

NameInTypeRequiredDescription
HostheaderstringThe hostname containing the hub name
Example: anya-finn.cdn.content.amplience.net

Request Body

Request body for retrieving multiple content items by id and/or delivery key

FieldTypeRequiredDescription
parametersobject (Parameters)
requestsarray (ItemRequestById or ItemRequestByKey)

parameters fields: Parameters

FieldTypeRequiredDescription
depthstringOne of:
string
root (default) retrieves the root content item only
all retrieves the full dependency tree
integer
The depth of the dependency tree to retrieve. A value between 0 and 22, with 0 being the root.
formatstringOne of:
linked (default) delivered with a lookup array for bandwidth optimisation.
inlined delivered with content-link replacement (will not conform to the content type).
localestringA comma separated list of ISO supported language and region codes

requests item fields: ItemRequestById

FieldTypeRequiredDescription
idstringContent Item UUID
overridesobject (Parameters)

overrides fields: Parameters

FieldTypeRequiredDescription
depthstringOne of:
string
root (default) retrieves the root content item only
all retrieves the full dependency tree
integer
The depth of the dependency tree to retrieve. A value between 0 and 22, with 0 being the root.
formatstringOne of:
linked (default) delivered with a lookup array for bandwidth optimisation.
inlined delivered with content-link replacement (will not conform to the content type).
localestringA comma separated list of ISO supported language and region codes

requests item fields: ItemRequestByKey

FieldTypeRequiredDescription
keystringContent Item delivery key
overridesobject (Parameters)

overrides fields: Parameters

FieldTypeRequiredDescription
depthstringOne of:
string
root (default) retrieves the root content item only
all retrieves the full dependency tree
integer
The depth of the dependency tree to retrieve. A value between 0 and 22, with 0 being the root.
formatstringOne of:
linked (default) delivered with a lookup array for bandwidth optimisation.
inlined delivered with content-link replacement (will not conform to the content type).
localestringA comma separated list of ISO supported language and region codes
Request example: Minimal multi-item request showing requests by id and delivery key
{
"requests": [
{
"id": "5d69bdef-df0b-4680-acfc-0bdaa2a82bed"
},
{
"key": "women/outdoors"
}
]
}
Request example: Full multi-item request showing requests by id and delivery key, and use of parameters and overrides.
{
"parameters": {
"depth": "all",
"format": "inlined",
"locale": "en-GB,en-*"
},
"requests": [
{
"id": "5d69bdef-df0b-4680-acfc-0bdaa2a82bed",
"overrides": {
"depth": "root",
"locale": "de-DE"
}
},
{
"key": "women/outdoors",
"overrides": {
"format": "linked"
}
}
]
}
Request example: Multi-item request showing requests by id and delivery key with variable depth.
{
"parameters": {
"depth": 22,
"format": "inlined",
"locale": "en-GB,en-*"
},
"requests": [
{
"id": "5d69bdef-df0b-4680-acfc-0bdaa2a82bed"
},
{
"key": "women/outdoors"
}
]
}

Responses

StatusDescription
200Contains the requested content item bodies and associated linked content items, in the order that they were requested.
400Bad request
500Internal error
Response example (200): Multiple returned content items showing linked content
{
"responses": [
{
"content": {
"_meta": {
"name": "home-page-feature-slot",
"schema": "http://docexample.com/tutorialbannerslot.json",
"deliveryKey": "promo-page/main-feature-slot",
"edition": {
"id": "5ddeb27d4cedfd0001c66dee",
"start": "2019-11-27T17:53:00.000Z",
"end": "2019-11-30T23:59:59.999Z"
},
"deliveryId": "5d69bdef-df0b-4680-acfc-0bdaa2a82bed"
},
"bannerslot": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link",
"locked": false,
"rootContentItemId": "d4744c2c-3dff-49b7-97c8-3ef16d693c30"
},
"contentType": "http://docexample.com/tutorialbanner.json",
"id": "d4744c2c-3dff-49b7-97c8-3ef16d693c30"
},
"linkedContent": [
{
"_meta": {
"name": "wear-a-hat",
"schema": "http://docexample.com/tutorialbanner.json",
"deliveryId": "d4744c2c-3dff-49b7-97c8-3ef16d693c30"
}
},
{
"background": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "7facf6f8-fea8-4f19-ac65-d9535ba1bf38",
"name": "white-winter-hat",
"endpoint": "ampproduct",
"defaultHost": "classic.cdn.media.amplience.net"
},
"headline": "Winter is here",
"strapline": "Stay inside or wear a hat."
}
]
}
}
]
}
Response example (200): Multiple returned content items showing inlined content
{
"responses": [
{
"content": {
"_meta": {
"name": "home-page-blog",
"schema": "http://docexample.com/tutorialblog.json",
"deliveryKey": "promo-page/main-blog",
"edition": {
"id": "5ddeb27d4cedfd0001c66dee",
"start": "2019-11-27T17:53:00.000Z",
"end": "2019-11-30T23:59:59.999Z"
},
"deliveryId": "5d69bdef-df0b-4680-acfc-0bdaa2a82bef"
},
"title": "Musings on hats",
"paragraphs": [
"Hats keep your head warm",
"Some hats contain rabbits"
]
}
}
]
}
Response example (200): Multiple returned content items showing a depth of 1 with linked content
{
"responses": [
{
"content": {
"_meta": {
"name": "spring-banner",
"schema": "http://docexample.com/tutorialbanner.json",
"deliveryKey": "main-section-feature--banner",
"deliveryId": "eefaf401-9551-41dd-aa5e-a5362990b1b7"
},
"background": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "499ceb10-18dc-48be-baa7-306f938928cd",
"name": "womaninfield",
"endpoint": "ampproduct",
"defaultHost": "classic.cdn.media.amplience.net"
},
"headline": "Get ready for Winter!",
"strapline": "It will be here before you know it",
"calltoactiontext": "Visit our Spring Collection",
"calltoactionurl": "http://www.example.com/spring"
}
},
{
"content": {
"_meta": {
"name": "winter-banner",
"schema": "http://docexample.com/tutorialbanner.json",
"deliveryKey": "home-page/feature-promo-banner",
"deliveryId": "660b863e-0747-4462-8de2-1796cdaf2d16"
},
"background": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "fc0d9587-9c1c-4e0a-8135-01a2dec6c789",
"name": "exotic-fashion-hat",
"endpoint": "ampproduct",
"defaultHost": "classic.cdn.media.amplience.net"
},
"headline": "Spring is here!",
"strapline": "Wrap up. Stay calm. Drink some tea.",
"calltoactiontext": "Buy some tea",
"calltoactionurl": "http://www.amplience.com"
}
},
{
"content": {
"_meta": {
"name": "spring-carousel",
"schema": "http://example.com/carousel.json",
"deliveryId": "2d9871c5-01bc-4a85-b6d9-1c0baa1607cc"
},
"slides": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "http://example.com/carouselslide.json",
"id": "b848b43e-6e7f-482e-b652-cb076b6a9bb2"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "http://example.com/carouselslide.json",
"id": "da105865-fddc-4e3b-88eb-f7aaf11db860"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "http://example.com/carouselslide.json",
"id": "903f32d0-bc49-4398-948c-e53eac818909"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "http://example.com/carouselslide.json",
"id": "4acc9fac-d075-42a9-bf76-61055e0fdf59"
}
]
},
"linkedContent": [
{
"_meta": {
"name": "red-coat-in-the-snow",
"schema": "http://example.com/carouselslide.json",
"deliveryId": "4acc9fac-d075-42a9-bf76-61055e0fdf59"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"contentType": "http://example.com/image-link.json",
"id": "d9a61e3f-0a7d-4aff-a532-dec8c1aa07b8"
}
},
{
"_meta": {
"name": "green-coat",
"schema": "http://example.com/carouselslide.json",
"deliveryId": "903f32d0-bc49-4398-948c-e53eac818909"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"contentType": "http://example.com/image-link.json",
"id": "b926c31d-9092-4f8e-b14d-e0c7f311bb3e"
}
},
{
"_meta": {
"name": "white-hat",
"schema": "http://example.com/carouselslide.json",
"deliveryId": "b848b43e-6e7f-482e-b652-cb076b6a9bb2"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"contentType": "http://example.com/image-link.json",
"id": "7facf6f8-fea8-4f19-ac65-d9535ba1bf38"
},
"image-alt": "Woman in a white hat"
},
{
"_meta": {
"name": "couple-in-sweaters",
"schema": "http://example.com/carouselslide.json",
"deliveryId": "da105865-fddc-4e3b-88eb-f7aaf11db860"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"contentType": "http://example.com/image-link.json",
"id": "ac91e82b-25e9-4da4-bd26-42b21ab21977"
},
"image-alt": "couple in sweaters"
}
]
}
]
}
Response example (200): Multiple items response showing an error example
{
"responses": [
{
"error": {
"type": "CONTENT_NOT_FOUND",
"message": "Not found",
"data": {
"deliveryId": "46249275-a941-4f99-9f59-ce90c3dc96e2"
}
}
}
]
}

Filter content items
Link copied!

POST /content/filter

List, sort and filter content items. Items are filtered by paths and values.

Parameters

NameInTypeRequiredDescription
HostheaderstringThe hostname containing the hub name
Example: anya-finn.cdn.content.amplience.net

Request Body

Request body for querying for content

FieldTypeRequiredDescription
filterByarray (FilterObject)A maximum of 6 paths may be specified
sortobject (SortingPair)
pageobject
parametersobject (Parameters)

filterBy item fields: FilterObject

FieldTypeRequiredDescription
pathstringThe property to filter, must be in JSON pointer format
valuestringThe value to match against

sort fields: SortingPair

FieldTypeRequiredDescription
keystringThe sort key defined in the schema
orderstringASC or DESC

page fields

FieldTypeRequiredDescription
sizenumberThe number of items per page (maximum/default number of items per page is 12)
cursorstringUsed to retrieve the next request if returning multiple pages

parameters fields: Parameters

FieldTypeRequiredDescription
depthstringOne of:
string
root (default) retrieves the root content item only
all retrieves the full dependency tree
integer
The depth of the dependency tree to retrieve. A value between 0 and 22, with 0 being the root.
formatstringOne of:
linked (default) delivered with a lookup array for bandwidth optimisation.
inlined delivered with content-link replacement (will not conform to the content type).
localestringA comma separated list of ISO supported language and region codes
Request example: Minimal filterBy request
{
"filterBy": [
{
"path": "/_meta/schema",
"value": "https://schema-examples.com/blogpost-filter-and-sort"
}
]
}
Request example: Request including a sort
{
"filterBy": [
{
"path": "/_meta/schema",
"value": "https://schema-examples.com/blogpost-filter-and-sort"
}
],
"sortBy": {
"key": "date",
"order": "DESC"
}
}
Request example: Multiple filterBy request with two filters
{
"filterBy": [
{
"path": "/_meta/schema",
"value": "https://schema-examples.com/blogpost-filter-and-sort"
},
{
"path": "/category",
"value": "Women"
}
]
}
Request example: Request with page size
{
"filterBy": [
{
"path": "/_meta/hierarchy/parentId",
"value": "3bf04259-84d3-44a2-9c80-ce1b07085f59"
}
],
"page": {
"size": 4
}
}
Request example: Full filterBy request including sortBy, parameters, filterBy and page blocks
{
"filterBy": [
{
"path": "/_meta/schema",
"value": "https://schema-examples.com/pdp-content-block"
},
{
"path": "/hidden",
"value": false
},
{
"path": "/categoryId",
"value": "mens-clothing-suits"
}
],
"sortBy": {
"key": "priority",
"order": "DESC"
},
"page": {
"size": 3,
"cursor": "eyJzb3J0S2V5IjoiMjIyMjIyMjItN2M4Mi00ZDQwLTk4NTQtZTUyZmMxZjk3OGViIiwiaXRlbUlkIjoibXl0ZXN0aHViOjIyMjIyMjIyLTdjODItNGQ0MC05ODU0LWU1MmZjMWY5NzhlYiJ9"
},
"parameters": {
"depth": "all",
"format": "inlined",
"locale": "en-GB,en-*"
}
}
Request example: Full request with max variable depth
{
"filterBy": [
{
"path": "/_meta/schema",
"value": "https://schema-examples.com/pdp-content-block"
},
{
"path": "/hidden",
"value": false
},
{
"path": "/categoryId",
"value": "mens-clothing-suits"
}
],
"sortBy": {
"key": "priority",
"order": "DESC"
},
"page": {
"size": 3,
"cursor": "eyJzb3J0S2V5IjoiMjIyMjIyMjItN2M4Mi00ZDQwLTk4NTQtZTUyZmMxZjk3OGViIiwiaXRlbUlkIjoibXl0ZXN0aHViOjIyMjIyMjIyLTdjODItNGQ0MC05ODU0LWU1MmZjMWY5NzhlYiJ9"
},
"parameters": {
"depth": 22,
"format": "inlined",
"locale": "en-GB,en-*"
}
}

Responses

StatusDescription
200Contains the requested content
400Bad request
500Internal error
524Request timeout
Response example (200): Response with multiple content items, with a page count and next cursor
{
"responses": [
{
"content": {
"_meta": {
"deliveryId": "11111111-ceb5-40e2-b8dc-ae09aea50c60"
}
}
},
{
"content": {
"_meta": {
"deliveryId": "22222222-7c82-4d40-9854-e52fc1f978eb"
}
}
}
],
"page": {
"responseCount": 2,
"nextCursor": "eyJzb3J0S2V5IjoiMjIyMjIyMjItN2M4Mi00ZDQwLTk4NTQtZTUyZmMxZjk3OGViIiwiaXRlbUlkIjoibXl0ZXN0aHViOjIyMjIyMjIyLTdjODItNGQ0MC05ODU0LWU1MmZjMWY5NzhlYiJ9"
}
}
Response example (200): Response example for no items found
{
"responses": [],
"page": {
"responseCount": 0
}
}
Response example (200): Response with a depth of 1, multiple content items and a page count
{
"responses": [
{
"content": {
"_meta": {
"name": "spring-banner",
"schema": "http://docexample.com/tutorialbanner.json",
"deliveryKey": "main-section-feature--banner",
"deliveryId": "eefaf401-9551-41dd-aa5e-a5362990b1b7"
},
"background": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "499ceb10-18dc-48be-baa7-306f938928cd",
"name": "womaninfield",
"endpoint": "ampproduct",
"defaultHost": "classic.cdn.media.amplience.net"
},
"headline": "Get ready for Winter!",
"strapline": "It will be here before you know it",
"calltoactiontext": "Visit our Spring Collection",
"calltoactionurl": "http://www.example.com/spring"
}
},
{
"content": {
"_meta": {
"name": "winter-banner",
"schema": "http://docexample.com/tutorialbanner.json",
"deliveryKey": "home-page/feature-promo-banner",
"deliveryId": "660b863e-0747-4462-8de2-1796cdaf2d16"
},
"background": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"id": "fc0d9587-9c1c-4e0a-8135-01a2dec6c789",
"name": "exotic-fashion-hat",
"endpoint": "ampproduct",
"defaultHost": "classic.cdn.media.amplience.net"
},
"headline": "Spring is here!",
"strapline": "Wrap up. Stay calm. Drink some tea.",
"calltoactiontext": "Buy some tea",
"calltoactionurl": "http://www.amplience.com"
}
},
{
"content": {
"_meta": {
"name": "spring-carousel",
"schema": "http://example.com/carousel.json",
"deliveryId": "2d9871c5-01bc-4a85-b6d9-1c0baa1607cc"
},
"slides": [
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "http://example.com/carouselslide.json",
"id": "b848b43e-6e7f-482e-b652-cb076b6a9bb2"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "http://example.com/carouselslide.json",
"id": "da105865-fddc-4e3b-88eb-f7aaf11db860"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "http://example.com/carouselslide.json",
"id": "903f32d0-bc49-4398-948c-e53eac818909"
},
{
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link"
},
"contentType": "http://example.com/carouselslide.json",
"id": "4acc9fac-d075-42a9-bf76-61055e0fdf59"
}
]
},
"linkedContent": [
{
"_meta": {
"name": "red-coat-in-the-snow",
"schema": "http://example.com/carouselslide.json",
"deliveryId": "4acc9fac-d075-42a9-bf76-61055e0fdf59"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"contentType": "http://example.com/image-link.json",
"id": "d9a61e3f-0a7d-4aff-a532-dec8c1aa07b8"
}
},
{
"_meta": {
"name": "green-coat",
"schema": "http://example.com/carouselslide.json",
"deliveryId": "903f32d0-bc49-4398-948c-e53eac818909"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"contentType": "http://example.com/image-link.json",
"id": "b926c31d-9092-4f8e-b14d-e0c7f311bb3e"
}
},
{
"_meta": {
"name": "white-hat",
"schema": "http://example.com/carouselslide.json",
"deliveryId": "b848b43e-6e7f-482e-b652-cb076b6a9bb2"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"contentType": "http://example.com/image-link.json",
"id": "7facf6f8-fea8-4f19-ac65-d9535ba1bf38"
},
"image-alt": "Woman in a white hat"
},
{
"_meta": {
"name": "couple-in-sweaters",
"schema": "http://example.com/carouselslide.json",
"deliveryId": "da105865-fddc-4e3b-88eb-f7aaf11db860"
},
"image": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/image-link"
},
"contentType": "http://example.com/image-link.json",
"id": "ac91e82b-25e9-4da4-bd26-42b21ab21977"
},
"image-alt": "couple in sweaters"
}
]
}
],
"page": {
"responseCount": 3
}
}
Response example (400): InvalidPropertyValue
{
"error": {
"type": "REQUEST_PROPERTY_VALUE_INVALID",
"message": "Invalid property value in request body",
"data": {
"value": "invalid-value",
"key": "depth"
}
}
}

Health check
Link copied!

GET /health

Provide information about the health of the service

Responses

StatusDescription
200Api is operational